/*
 * Copyright (c) 2010-2012 The Amdatu Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.amdatu.web.resourcehandler;

import static org.amdatu.web.resourcehandler.Constants.WEB_RESOURCE_FILTER;

import org.apache.felix.dm.DependencyActivatorBase;
import org.apache.felix.dm.DependencyManager;
import org.osgi.framework.Bundle;
import org.osgi.framework.BundleContext;
import org.osgi.service.http.HttpService;
import org.osgi.service.log.LogService;

public class Activator extends DependencyActivatorBase {

	@Override
	public void destroy(BundleContext context, DependencyManager manager) throws Exception {
		// not needed
	}

	@Override
	public void init(BundleContext context, DependencyManager manager) throws Exception {
		manager.add(createComponent()
			.setImplementation(ResourceHandler.class)
			.add(createBundleDependency()
					.setStateMask(Bundle.ACTIVE)
					.setFilter(WEB_RESOURCE_FILTER)
					.setCallbacks("addResourceBundle", "removeResourceBundle"))
			.add(createServiceDependency()
					.setService(HttpService.class)
					.setRequired(true))
			.add(createServiceDependency()
					.setService(LogService.class)
					.setRequired(false))
		);
	}
}
