/*
 * Copyright (c) 2010-2012 - The Amdatu Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.amdatu.web.resourcehandler;

/**
 * Provides some commonly used constants for this bundle.
 */
public interface Constants {

    /** The context name under which the HttpContext is registered. */
    String WEB_RESOURCE_CONTEXT_ID = "WebResourceContext";

    /** The indicator that a bundle exposes additional web resources. */
    String WEB_RESOURCE_VERSION_KEY = "X-Web-Resource-Version";
    /** The version for this web resources implementation. */
    String WEB_RESOURCE_VERSION_VALUE = "1.0";

    /** The indicator the for resources themselve. */
    String WEB_RESOURCE_KEY = "X-Web-Resource";

    /** Defines a filter clause for bundles that want to register a resource using this bundle. */
    String WEB_RESOURCE_FILTER = String.format("(&(%s=%s)(%s=*))", WEB_RESOURCE_VERSION_KEY, WEB_RESOURCE_VERSION_VALUE, WEB_RESOURCE_KEY);

    /** The indicator for the contextId */
    String CONTEXTID = "ContextId";

}
